System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Drawing.ColorConverter

The class is used to convert a object to a predefined color name or an RGB color value. It is also used to convert a predefined color name or an RGB color value to a object.

You should never access a type converter directly. Instead, call the appropriate converter by using . For more information, see the examples in the class overview.

The following list contains the sixteen predefined HTML color names you can use:

Black

Blue

Cyan

Gray

Green

Lime

Magenta

Maroon

Navy

Olive

Purple

Red

Silver

Teal

White

Yellow

You can also specify a custom color by using a hexadecimal number, preceded by the pound character (#), in the form #RRGGBB. RR, GG, and BB represent hexadecimal values from 0 to 255 that indicate the red, green, and blue components of a color, respectively. For example, the value #0000FF represents the color blue. It specifies the minimum value (00) for the red and green components, while specifying the maximum value (FF) for the blue component.

Converts a predefined color name or an RGB color value to and from a object.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object `` `` `` To be added

  Converts the given value to the type of the converter.

  The object resulting from conversion.

  An that indicates the context of the object to convert. A object that represents information about a culture such as language, calendar system, and so on. This parameter is not used in this method. It is reserved for future versions of this method. You can optionally pass in null for this parameter. The object to convert. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` `` `` To be added

  Converts the specified object to a specified type.

  The object resulting from conversion.

  An instance that indicates the context of the object to convert. A object that represents information about a culture such as language, calendar system, and so on. This parameter is not used in this method. It is reserved for future versions of this method. You can optionally pass in null for this parameter. The object to convert. The type to convert to. 1.0.5000.0 2.0.0.0